apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name     : root
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    name     : in-cluster
    namespace: argocd
  source:
    path          : "demo-dev\applications"
    repoURL       : "git@github.com:imdakris/argocd.git"
    targetRevision: "HEAD"
  project: default
  syncPolicy:
    automated:
      prune   : true
      selfHeal: true
      